routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', function () {
    return view('welcome');
});

Route::resource('empleats', App\Http\Controllers\EmpleatController::class);
Route::resource('menus', App\Http\Controllers\MenusController::class);

app/Models/Empleat.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Empleat extends Model
{
    use HasFactory;
    protected $fillable = [
        'name',
        'due',
        'comments'
    ];
}

app/Models/Menus.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Menus extends Model
{
    use HasFactory;
    protected $fillable = [
        'name',
        'preu',
        'comments'
    ];
}

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var string[]
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/EmpleatController.php
<?php

namespace App\Http\Controllers;

use App\Models\Empleat;
use Illuminate\Http\Request;

class EmpleatController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $empleats= Empleat::Paginate(5);
        return view('client.index')
        ->with('empleat', $empleats);

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        {
            return view('form');
        }
    }
         

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required|max:15',
            'due' => 'required|gte:50'
        ]);

        $empleat=Empleat::create($request->only('name','due','comments'));

        return redirect()->route('empleats.index');
        // return 'Anem a desar les dades'; 
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Empleat  $empleat
     * @return \Illuminate\Http\Response
     */
    public function show(Empleat $empleat)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Empleat  $empleat
     * @return \Illuminate\Http\Response
     */
    public function edit(Empleat $empleat)
    {
        return view('form')
        ->with('empleat' , $empleat);   
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Empleat  $empleat
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Empleat $empleat)
    {
        $request->validate([
            'name' => 'required|max:15',
            'due' => 'required|gte:50'
        ]);

        $empleat->name = $request['name'];
        $empleat->due = $request['due'];
        $empleat->comments = $request['comments'];
        $empleat->save();

        return redirect()->route('empleats.index');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Empleat  $empleat
     * @return \Illuminate\Http\Response
     */
    public function destroy(Empleat $empleat)
    {
        $empleat->delete();
        return redirect()->route('empleats.index');
 
    }
}

app/Http/Controllers/MenusController.php
<?php

namespace App\Http\Controllers;

use App\Models\Menus;
use Illuminate\Http\Request;

class MenusController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $menus= Menus::Paginate(5);
        return view('client.menus')
        ->with('menus', $menus);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        {
            return view('form2');
        }
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required|max:15',
            'preu' => 'required|gte:10'
        ]);

        $menus=Menus::create($request->only('name','preu','comments'));

        return redirect()->route('menus.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Menus  $menus
     * @return \Illuminate\Http\Response
     */
    public function show(Menus $menus)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Menus  $menu
     * @return \Illuminate\Http\Response
     */
    public function edit(Menus $menu)
    {
        return view('form2')
        ->with('menu' , $menu);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Menus  $menu
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Menus $menu)
    {
        $request->validate([
            'name' => 'required|max:15',
            'preu' => 'required|gte:10'
        ]);

        $menu->name = $request['name'];
        $menu->preu = $request['preu'];
        $menu->comments = $request['comments'];
        $menu->save();

        return redirect()->route('menus.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Menus  $menu
     * @return \Illuminate\Http\Response
     */
    public function destroy(Menus $menu)
    {
        $menu->delete();
        return redirect()->route('menus.index');
 
    }
}

resources/views/client/index.blade.php
@extends('theme/base')
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>
@section('contingut')
<div class="row">
        <nav class="navbar navbar-expand-lg navbar-expand-md navbar-light bg-dark">
            <img style="width:100px;height:100px;" src="https://cdn.shortpixel.ai/spai/w_788+q_lossless+ret_img+to_webp/https://www.sosfactory.com/wp-content/uploads/2016/12/restaurant-logo-mr-bolat.png" alt="">

            <button class="navbar-toggler bg-light" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon bg-light"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a style="font-size:16px;" class="font-size-5 nav-link text-white" href="{{ route('empleats.index')}}">Empleats</a>
                    </li>
                    <li class="nav-item">
                        <a style="font-size:16px;" class="font-size-5 nav-link text-white" href="{{ route('menus.index')}}">Menus</a>
                    </li>
                </ul>
            </div>
    </div>
<div class="container py-5 text-center">
   <h1>Llistat d'empleats</h1>
   <a href="{{ route('empleats.create')}}" class="btn btn-primary">Crear Empleat</a>
</div>

<table class="table">
  <thead>
    <tr>
      <th scope="col">nom</th>
      <th scope="col">saldo</th>
      <th scope="col">Accions</th>
    </tr>
  </thead>
  <tbody>
    @forelse ($empleat as $item)
    <tr>
      <td>{{$item->name}}</td>
      <td>{{$item->due}}</td>
      <td><a href="{{route('empleats.edit', $item)}}" class="btn btn-warning">Editar</a> 
      <form action="{{ route('empleats.destroy', $item) }}" method="post" class="d-inline"> 
        @method('DELETE')
        @csrf
        <button type="submit" class="btn btn-danger">Eliminar</button>
      </form></td>
    </tr>
      @empty
      <td colspan="3">Actualment no hi ha registres</td>
      @endforelse
  </tbody>
</table>
{{$empleat->links("pagination::bootstrap-4")}}
@stop
</body>
</html>

resources/views/client/menus.blade.php
@extends('theme/base')
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>
@section('contingut')
<div class="row">
        <nav class="navbar navbar-expand-lg navbar-expand-md navbar-light bg-dark">
            <img style="width:100px;height:100px;" src="https://cdn.shortpixel.ai/spai/w_788+q_lossless+ret_img+to_webp/https://www.sosfactory.com/wp-content/uploads/2016/12/restaurant-logo-mr-bolat.png" alt="">

            <button class="navbar-toggler bg-light" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon bg-light"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a style="font-size:16px;" class="font-size-5 nav-link text-white" href="{{ route('empleats.index')}}">Empleats</a>
                    </li>
                    <li class="nav-item">
                        <a style="font-size:16px;" class="font-size-5 nav-link text-white" href="{{ route('menus.index')}}">Menus</a>
                    </li>
                </ul>
            </div>
    </div>

    <div class="container py-5 text-center">
   <h1>Llistat de Menus</h1>
   <a href="{{ route('menus.create')}}" class="btn btn-primary">Crear Menus</a>
</div>

<table class="table">
  <thead>
    <tr>
      <th scope="col">nom</th>
      <th scope="col">preu</th>
      <th scope="col">Accions</th>
    </tr>
  </thead>
  <tbody>
    @forelse ($menus as $item)
    <tr>
      <td>{{$item->name}}</td>
      <td>{{$item->preu}}</td>
      <td><a href="{{route('menus.edit', $item)}}" class="btn btn-warning">Editar</a> 
      <form action="{{ route('menus.destroy', $item) }}" method="post" class="d-inline"> 
        @method('DELETE')
        @csrf
        <button type="submit" clasºs="btn btn-danger">Eliminar</button>
      </form></td>
    </tr>
      @empty
      <td colspan="3">Actualment no hi ha registres</td>
      @endforelse
  </tbody>
</table>
{{$menus->links("pagination::bootstrap-4")}}

@stop
</body>
</html>

resources/views/form.blade.php
@extends('theme/base')

@section('contingut')
<div class="container py-5 text-center">
    @if (isset($empleat))
        <h1>Editar-Empleat</h1>
    @else
   <h1>Crear empleats</h1>
   @endif

   @if (isset($empleat))
    <form action="{{ route('empleats.update', $empleat)}}" method="post">
                @method('PUT')
   @else
   <form action="{{ route('empleats.store')}}" method="post">
    @endif
   @csrf
   <div class="mb-3">
       <label for="name" class="form-label">Nom</label>
       <input type="text" name="name" class="form-control" placeholder="Nom de l'empleat" value="{{old('name') ?? @$empleat->name}}"
        step="0,01">   
       @error('name')
           <p class="form-text text-danger">{{$message}}</p>
       @enderror
    </div>
   <div class="mb-3">
       <label for="due" class="form-label">Salari</label>
       <input type="number" name="due" class="form-control" placeholder="Salari de l'empleat" value="{{old('due') ?? @$empleat->due}}"
        step="0,01">
       @error('due')
           <p class="form-text text-danger">{{$message}}</p>
       @enderror
   </div>
   <div class="mb-3">
       <label for="comments" class="form-label">Comentaris</label>
       <textarea type="text" name="comments" class="form-control" placeholder="Comentaris de l'empleat" step="0,01">{{old('comments') ?? @$empleat->comments}}</textarea> 
       @error('comments')
           <p class="form-text text-danger">{{$message}}</p>
       @enderror 
   </div>

   @if (isset($empleat))
   <button type="submit" class="btn btn-info">Editar Empleat</button>
   @else
   <button type="submit" class="btn btn-info">Desar Empleat</button>
   @endif

</form>
</div>
  
@endsection

resources/views/form2.blade.php
@extends('theme/base')

@section('contingut')
<div class="container py-5 text-center">
    @if (isset($menu))
        <h1>Editar-Menu</h1>
    @else
   <h1>Crear Menus</h1>
   @endif

   @if (isset($menu))
    <form action="{{ route('menus.update', $menu)}}" method="post">
                @method('PUT')
   @else
   <form action="{{ route('menus.store')}}" method="post">
    @endif
    @csrf
   <div class="mb-3">
       <label for="name" class="form-label">Nom Menu</label>
       <input type="text" name="name" class="form-control" placeholder="Nom del Menu" value="{{old('name') ?? @$menu->name}}"
        step="0,01">   
       @error('name')
           <p class="form-text text-danger">{{$message}}</p>
       @enderror
    </div>
    <div class="mb-3">
       <label for="preu" class="form-label">Preu</label>
       <input type="number" name="preu" class="form-control" placeholder="Preu del Menu" value="{{old('preu') ?? @$menu->preu}}"
        step="0,01">
       @error('preu')
           <p class="form-text text-danger">{{$message}}</p>
       @enderror
   </div>

   <div class="mb-3">
       <label for="comments" class="form-label">Comentaris</label>
       <textarea type="text" name="comments" class="form-control" placeholder="Comentaris del Menu" step="0,01">{{old('comments') ?? @$menu->comments}}</textarea> 
       @error('comments')
           <p class="form-text text-danger">{{$message}}</p>
       @enderror 
   </div>

   @if (isset($menu))
   <button type="submit" class="btn btn-info">Editar Menu</button>
   @else
   <button type="submit" class="btn btn-info">Desar Menu</button>
   @endif

</form>

   
   
</div>
  
@endsection

resources/views/theme/base.blade.php
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <title>Daniel Llera</title>
  </head>
  <body>
     
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

    @yield('contingut')
  </body>
</html>